Package org.drinkless.tdlib

# Class TdApi.ReportVideoMessageAdvertisement

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ReportSponsoredResult>
org.drinkless.tdlib.TdApi.ReportVideoMessageAdvertisement

Enclosing class:
  `TdApi`

public static class TdApi.ReportVideoMessageAdvertisement extends TdApi.Function<TdApi.ReportSponsoredResult>
Reports a video message advertisement to Telegram moderators.

Returns `ReportSponsoredResult`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `advertisementUniqueId`
  Unique identifier of the advertisement.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `byte[]`
  `optionId`
  Option identifier chosen by the user; leave empty for the initial request.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReportVideoMessageAdvertisement()`
  Default constructor for a function, which reports a video message advertisement to Telegram moderators.
  `ReportVideoMessageAdvertisement(long advertisementUniqueId, byte[] optionId)`
  Creates a function, which reports a video message advertisement to Telegram moderators.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### advertisementUniqueId

    public long advertisementUniqueId
    Unique identifier of the advertisement.

  - ### optionId

    public byte[] optionId
    Option identifier chosen by the user; leave empty for the initial request.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReportVideoMessageAdvertisement

    public ReportVideoMessageAdvertisement()
    Default constructor for a function, which reports a video message advertisement to Telegram moderators.

    Returns `ReportSponsoredResult`

  - ### ReportVideoMessageAdvertisement

    public ReportVideoMessageAdvertisement(long advertisementUniqueId, byte[] optionId)
    Creates a function, which reports a video message advertisement to Telegram moderators.

    Returns `ReportSponsoredResult`

    Parameters:
      `advertisementUniqueId` - Unique identifier of the advertisement.
      `optionId` - Option identifier chosen by the user; leave empty for the initial request.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ReportSponsoredResult>`
    Returns:
      this.CONSTRUCTOR